{% block button %}
    <a href="javascript: void(0)"
       class="dynamic_requester shift_button"
            {% if shift.state == constant('UNCONFIRMED', shift) %}
                data-req-type="employee_cancel"
            {% elseif shift.state == constant('CONFIRMED', shift) %}
                {% if shift.timeslot.job in app.user.supervising %}
                    data-req-type="employee_cancel_as_supervisor"
                {% else %}
                    data-req-type="employee_request_cancel"
                {% endif %}
            {% elseif shift.state == constant('REJECTED', shift) %}
                data-req-type="supervisor_rejected"
            {% elseif shift.state == constant('REQUIRES_CANCELLATION', shift) %}
                data-req-type="employee_requested_cancel"
            {% elseif shift.state == constant('CANCELLED', shift) %}
                data-req-type="employee_cancelled"
            {% elseif shift.state == constant('FINISHED', shift) %}
                data-req-type="supervisor_marked_as_finished"
            {% elseif shift.state == constant('MISSED', shift) %}
                data-req-type="supervisor_marked_as_missed"
            {% endif %}
       data-employee_request_cancel="{{ path('employee_request_cancel', {'id': shift.id, csrf_token: '@CSRF' }) }}"
       data-employee_cancel="{{ path('employee_cancel', {'id': shift.id, csrf_token: '@CSRF' }) }}"
       data-employee_cancel_as_supervisor="{{ path('employee_cancel_as_supervisor', {'id': shift.id, csrf_token: '@CSRF' }) }}"
    >...</a>
{% endblock %}